org.apache.fop.fonts.cff

## Class CFFDataReader.CustomEncoding

- java.lang.Object
- - org.apache.fop.fonts.cff.CFFDataReader.CustomEncoding

Direct Known Subclasses:
  CFFDataReader.Format0Encoding, CFFDataReader.Format1Encoding

Enclosing class:
  CFFDataReader

    public abstract class CFFDataReader.CustomEncoding
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`CustomEncoding()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getFormat()`
`int` `getNumEntries()`
`void` `setFormat(int format)`
`void` `setNumEntries(int numEntries)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CustomEncoding

    public CustomEncoding()

### Method Detail

#### setFormat

    public void setFormat(int format)

#### getFormat

    public int getFormat()

#### setNumEntries

    public void setNumEntries(int numEntries)

#### getNumEntries

    public int getNumEntries()